Subject: bug#7800: automake fails to honor `-d' in AM_YFLAGS when variable expansions are involved

From: Ralf Wildenhues <[email-masked]>
Date: Fri, 7 Jan 2011 19:53:19 +0100

Hello Ralf,

* Ralf Corsepius wrote on Fri, Jan 07, 2011 at 05:52:54PM CET:
> On 01/07/2011 03:36 PM, Stefano Lattarini wrote:
> >Currently, automake is not smart enough to resolve variable expansions
> >in AM_YFLAGS (or foo_YFLAGS) when scanning them for the `-d' flag.

> This once used to work
> => regression.

Please, if you make such a statement, include more details: whether you
know of an Automake version where this used to work, or have code
examples where it did (including a pointer to the code), or have just
tried the sample code from the PR.  If you don't have more details, then
please also state so; even stating some guess is better than not
providing any data at all.  With just the above, it is hard to judge.

Thank you,
Ralf